BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType System.IComparable System.IComparable<System.DateTime> System.IConvertible System.IEquatable<System.DateTime> System.IFormattable System.Runtime.Serialization.ISerializable

Represents an instant in time, expressed as a date and time of day.

The value type represents dates and times with values ranging from 00:00:00, 1/1/0001 (Common Era) to 23:59:59 PM, 12/31/9999.

Time values are measured in 100-nanosecond units, , and a particular date is the number of ticks since 12:00 Midnight, January 1, 1 in the Gregorian calendar. For example, a ticks value of 31241376000000000L represents the date, Friday, January 01, 0100 12:00:00 AM.

Time values can be added to, or subtracted from, an instance of . Time values can be negative or positive, and expressed in units such as ticks, seconds, or instances of . Methods and properties in this value type take into account details such as leap years and the number of days in a month.

12:00:00 AM is Midnight.

- Constructor
  A containing the date and time expressed in 100-nanosecond units.

  Constructs and initializes a new instance of the structure with the date and time expressed in 100-nanosecond units.

  To be added.
  The date and time represented by is less than or greater than .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Constructor
  A containing the year (1 through 9999).
  A containing the month (1 through 12).
  A containing the day (1 through the number of days in ).

  Constructs and initializes a new instance of the structure with a specified year, month, and day.

  The time of day for the resulting is midnight (00:00:00).

  is less than 1 or greater than 9999

  -or-

  is less than 1 or greater than 12

  -or-

  is less than 1 or greater than the number of days in

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A containing the year (1 through 9999).
  A containing the month (1 through 12).
  A containing the day (1 through the number of days in ).
  A containing the hours (0 through 23).
  A containing the minutes (0 through 59).
  A containing the seconds (0 through 59).

  Constructs and initializes a new instance of the structure with a specified year, month, day, hour, minute, and second.

  To be added.
  is less than 1 or greater than 9999

  -or-

  is less than 1 or greater than 12

  -or-

  is less than 1 or greater than the number of days in

  -or-

  is less than 0 or greater than 23

  -or-

  is less than 0 or greater than 59

  -or-

  is less than 0 or greater than 59

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A containing the year (1 through 9999).
  A containing the month (1 through 12).
  A containing the day (1 through the number of days in ).
  A containing the hours (0 through 23).
  A containing the minutes (0 through 59).
  A containing the seconds (0 through 59).
  A containing the milliseconds.

  Constructs and initializes a new instance of the structure with a specified year, month, day, hour, minute, second, and millisecond.

  To be added.
  is less than 1 or greater than 9999

  -or-

  is less than 1 or greater than 12

  -or-

  is less than 1 or greater than the number of days in

  -or-

  is less than 0 or greater than 23

  -or-

  is less than 0 or greater than 59

  -or-

  is less than 0 or greater than 59

  -or-

  is less than 0 or greater than 999

  The specified parameters evaluate to a date less than or greater than .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime `` A instance.

  Adds the value of a specified instance to the current instance.

  A instance set to the sum of the date and time of the current instance and the time interval represented by .

  A specified is added to the current instance of , and the result is returned as a new .

  The resulting is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing the number of whole and fractional days. For example, 4.5 is equivalent to 4 days, 12 hours, 0 minutes, 0 seconds, 0 milliseconds, and 0 ticks. can be negative or positive.

  Adds a specified number of days to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and the number of days represented by .

  is rounded to the nearest tick.

  The resulting is less than or greater than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing the number of whole and fractional hours. For example, 4.5 is equivalent to 4 hours, 30 minutes, 0 seconds, 0 milliseconds, and 0 ticks. can be negative or positive.

  Adds a specified number of hours to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and the number of hours represented by .

  is rounded to the nearest tick.

  The resulting is less than or greater than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing the number of whole and fractional milliseconds. For example, 4.5 is equivalent to 4 milliseconds and 5,000 ticks. can be negative or positive.

  Adds a specified number of milliseconds to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and the number of milliseconds represented by .

  is rounded to the nearest tick.

  The resulting is less than or greater than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing the number of whole and fractional minutes. For example, 4.5 is equivalent to 4 minutes, 30 seconds, 0 milliseconds, and 0 ticks. can be negative or positive.

  Adds a specified number of minutes to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and the number of minutes represented by .

  is rounded to the nearest tick.

  The resulting is less than or greater than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing the number of months. can be positive or negative, and may be greater than the number of months in a year.

  Adds a specified number of months to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and .

  This method does not change the value of the current instance. Instead, a new instance is returned whose value is the result of this operation.

  The resulting is less than or greater than .

  -or-

  The parameter is less than -120,000 or greater than 120,000

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime `` A containing the number of whole and fractional seconds. For example, 4.5 is equivalent to 4 seconds, 500 milliseconds, and 0 ticks. can be positive or negative.

  Adds a specified number of seconds to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and the number of seconds represented by .

  is rounded to the nearest tick.

  The resulting is less than or greater than . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing the number of 100-nanosecond ticks. can be positive or negative.

  Adds a specified number of ticks to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and the time represented by .

  To be added. The resulting is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing the number of years. can be positive or negative.

  Adds a specified number of years to the value of the current instance.

  A instance set to the sum of the date and time represented by the current instance and the number of years represented by .

  To be added. The resulting is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` The first . The second .

  Returns the sort order of the two specified instances of .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the two specified instances of . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Value Type
  Condition
  Any negative number
  < .
  Zero
  == .
  Any positive number
  > . To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Value
  Description
  A negative number
  Current instance < .
  Zero
  Current instance == .
  A positive number
  Current instance > .

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Value
  Description
  A negative number
  Current instance < .
  Zero
  Current instance == .
  A positive number
  Current instance > , or value is a null reference.

  Any instance of , regardless of its value, is considered greater than a null reference.

  This method is implemented to support the interface.

  is not a and is not a null reference. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.DateTime

  Gets the date component of the current instance.

  A new instance with the same date as the current instance, and the time value set to midnight (00:00:00).

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the day of the month represented by the current instance.

  A between 1 and 31 set to the day of the month component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.DayOfWeek

  Gets the day of the week represented by the current instance.

  To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32

  Gets the day of the year represented by the current instance.

  A between 1 and 366 set to the day of the year component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` `` A containing the year. The month (a between 1 and 12).

  Returns the number of days in a specified month of a specified year.

  A set to the number of days in the specified month for the specified year. If the specified month is February, the return value is 28 or 29 depending upon whether the specified year is a leap year.

  To be added. is less than 1 or greater than 12. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added.

  Returns a indicating whether the current instance is equal to the specified DateTime.

  if is equal to the current instance; otherwise, .

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` A to compare with the current instance.

  Returns a indicating whether the current instance is equal to a specified object.

  if is a specified instance is equal to the current instance; otherwise, .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` `` The first . The second .

  Returns a indicating whether two specified instances of are equal.

  if the two values are equal; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String[] `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for this instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TypeCode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32

  Gets the hour represented by the current instance.

  A between 0 and 23 set to the hour component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A representing the year. can be positive or negative.

  Returns a value indicating whether a specified year is a leap year.

  if the specified year is a leap year; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.DateTimeKind To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Field
  System.DateTime

  A constant representing the largest possible value of .

  This field is read-only.

  The value of this field is equivalent to 23:59:59.9999999, 12/31/9999, exactly one 100-nanosecond tick before 00:00:00, 01/01/10000.

  0
  12/31/9999 11:59:59 PM
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the milliseconds component of the date represented by the current instance.

  A between 0 and 999 set to the milliseconds component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the minute component of the date represented by the current instance.

  A between 0 and 59 set to the minute component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.DateTime

  A constant representing the smallest possible value of .

  This field is read-only.

  The value of this field is equivalent to 00:00:00.0000000, 1/1/0001.

  0
  1/1/0001 12:00:00 AM
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the month component of the date represented by the current instance.

  A between 1 and 12 set to the month component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.DateTime

  Gets a representing the current local date and time.

  To be added.

  The resolution of this property depends on the system timer.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime `` `` A value. A value.

  Adds a specified value to a specified value.

  A instance that is the sum of the values of and .

  The returned value is equivalent to ( .Ticks + .Ticks ).

  The resulting date and time is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The first to compare. The second to compare.

  Returns a value indicating whether the two specified instances of are equal.

  if .Ticks value is equal to the .Ticks value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` ``

  A .

  A .

  Returns a value indicating whether one specified is greater than another specified .

  if .Ticks value is greater than the .Ticks value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` ``

  A .

  A .

  Returns a value indicating whether one specified is greater than or equal to another specified .

  if .Ticks value is greater than or equal to .Ticks value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A .

  Returns a value indicating whether two specified instances of are not equal.

  if .Ticks value is not equal to .Ticks value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` ``

  A .

  A .

  Returns a value indicating whether one specified is less than another specified .

  if .Ticks value is less than .Ticks value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` ``

  A .

  A .

  Returns a value indicating whether one specified is less than or equal to another specified .

  if .Ticks value is less than or equal to .Ticks value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` `` A (the minuend). A (the subtrahend).

  Subtracts a specified from another specified value, producing a time interval.

  A that is the time interval between and .

  The returned value is equivalent to ( .Ticks - .Ticks).

  The resulting date and time is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` `` A . A .

  Subtracts a specified from a specified .

  A whose value is the value of minus the value of .

  The returned value is equivalent to ( .Ticks - .Ticks ).

  The resulting date and time is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` A containing a value to convert. The string is interpreted using the style.

  Returns the specified converted to a value.

  The value obtained from .

  This version of is equivalent to (, , ).

  The string is parsed using the formatting information in a initialized for the current system culture.

  In order for the string to be successfully parsed, it is required to represent a date and time value in one of the standard patterns described in .

  If the string contains only a time, and no date, then the current date ( ) is used. If the string contains only a date and no time, this method assumes 12 a.m.

  Any leading, trailing, and inner white space characters are ignored.

  is a null reference. does not contain a valid string representation of a time or date and time. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` `` A containing the value to convert. The string is interpreted using the style. A that supplies a object containing culture-specific format information about .

  Returns the specified converted to a value.

  The value obtained from .

  This version of is equivalent to (, , ).

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  In order for the string to be successfully parsed, it is required to represent a date and time value in one of the standard patterns described in .

  If the string contains only a time, and no date, then the current date ( ) is used. If the string contains only a date and no time, this method assumes 12 a.m.

  Any leading, trailing, and inner white space characters are ignored.

  is a null reference. does not contain a valid string representation of a time or date and time. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` `` `` A containing the value to convert. A that supplies a object containing culture-specific format information about . One or more values that specify the style of . Specify multiple values for using the bitwise OR operator. To be added.

  Returns the specified converted to a value.

  The value obtained from .

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  In order for the string to be successfully parsed, it is required to represent a date and time value in one of the standard patterns described in .

  If the string contains only a time, and no date, and if the parameter is set to the Gregorian year 1, month 1, day 1 are used. In all other cases where a date is not specified, the current date ( ) is used.

  If the string contains only a date and no time, this method assumes 12 a.m.

  For all settings of the parameter, any leading, trailing, and inner white space characters are ignored.

  is a null reference. does not contain a valid string representation of a time or date and time. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` `` `` A containing a date and time to convert. The format of the string is required to match the specified format exactly. A containing the expected format of . For a list of valid values, see . A that supplies a object containing culture-specific format information about .

  Converts the specified representation of a date and time to its equivalent using a specified format and .

  A equivalent to the date and time contained in .

  constructs a from the string . The string is required to specify a date and, optionally, a time in the specified format.

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  If the string contains only a time, and no date, then the current date ( ) is used. If the string contains only a date and no time, this method assumes 12 a.m.

  Leading, trailing, and inner white space characters are not allowed.

  For information on formatting system-supplied data types, see the interface.

  or is a null reference.

  or is an empty string.

  -or-

  does not contain a date and time that were recognized as the pattern specified in .

  This example demonstrates the method.

  `using System; using System.Globalization; public class DateTimeTest { public static void Main() { DateTimeFormatInfo dtfi = new DateTimeFormatInfo(); DateTime dt = DateTime.ParseExact("January 22", dtfi.MonthDayPattern, null); Console.WriteLine(dt); } }`

  The output is

  1/22/2001 12:00:00 AM

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime `` `` `` `` A containing a date and time to convert. The format of the string is required to match the specified format exactly. A containing the expected format of . For a list of valid values, see . A that supplies a object containing culture-specific format information about .

  One or more values that specify the style of . Specify multiple values for using the bitwise OR operator.

  Converts the representation of a date and time to its equivalent using a specified style, the expected format, and culture-specific format information.

  A equivalent to the date and time contained in .

  constructs a from the string . The string is required to specify a date and, optionally, a time in the provided format.

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  If the string contains only a time, and no date, and if the parameter is set to the Gregorian year 1, month 1, day 1 are used, and no leading, trailing, or inner white space characters are allowed. In all other cases where a date is not specified, the current date () is used.

  If the string contains only a date and no time, this method assumes 12 a.m.

  For information on formatting system-supplied data types, see the interface.

  or is a null reference.

  or format is an empty string.

  -or-

  does not contain a date and time that were recognized as one of the patterns specified in

  This example demonstrates the method.

  `using System; using System.Globalization; public class DateTimeTest { public static void Main() { DateTimeFormatInfo dtfi = new DateTimeFormatInfo(); DateTime dt = DateTime.ParseExact(" January 22 ", dtfi.MonthDayPattern, null, DateTimeStyles.AllowWhiteSpaces); Console.WriteLine(dt); } }`

  The output is

  1/22/2001 12:00:00 AM

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime `` `` `` `` A containing one or more dates and times to convert. The format of the string is required to match the specified format exactly. A array containing the expected formats of For a list of valid values, see . A that supplies a object containing culture-specific format information about .

  One or more values that specify the style of . Specify multiple values for using the bitwise OR operator.

  Converts the representation of a date and time to its equivalent using a specified style, an array of expected formats, and culture-specific format information.

  A equivalent to the date and time contained in .

  constructs a from the . The string is required to specify a date and, optionally, a time in the provided format.

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  If the string contains only a time, and no date, and if the parameter is set to the Gregorian year 1, month 1, day 1 are used, and no leading, trailing, or inner white space characters are allowed. In all other cases where a date is not specified, the current date () is used.

  If the string contains only a date and no time, this method assumes 12 a.m.

  For information on formatting system-supplied data types, see the interface.

  or is a null reference.

  or is an empty string.

  -or-

  does not contain a date and time that were recognized as the pattern specified in

  This example demonstrates the method.

  `using System; using System.Globalization; public class DateTimeTest { public static void Main() { DateTimeFormatInfo dtfi = new DateTimeFormatInfo(); string [] patterns = {dtfi.LongTimePattern, dtfi.ShortTimePattern}; DateTime dt = DateTime.ParseExact("10:11:12", patterns, null, DateTimeStyles.NoCurrentDateDefault); Console.WriteLine(dt); } }`

  The output is

  1/1/0001 10:11:12 AM

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the seconds component of the date represented by the current instance.

  A between 0 and 59 set to the seconds component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` An instance of .

  Subtracts a specified date and time from the current instance.

  A interval equal to the date and time represented by the current instance minus the date and time represented by the specified .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` An instance of .

  Subtracts a specified from the current instance.

  A new instance equal to the date and time represented by the current instance minus the time interval of the specified .

  To be added. The resulting date and time is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  System.Int64

  Gets the number of 100-nanosecond ticks that represent the date and time of the current instance.

  A set to the number of ticks that represent the date and time of the current instance.

  The value of this property is the number of 100-nanosecond intervals that have elapsed since 00:00:00, 1/1/0001. The value of the property is between and

  .

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.TimeSpan

  Gets the time of day of the current instance.

  A instance set to the time component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int64 To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.DateTime

  Gets the current date.

  A instance set to the date of the current instance, with the time set to 00:00:00.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int64 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime

  Converts the universal time coordinate (UTC) time value in the current instance to local time.

  An instance of equivalent of the time value in the current instance, adjusted to the local time zone and daylight saving time. If the result is too large or too small to be represented as a , this method returns a set to or

  .

  This method assumes that the current instance of holds the UTC time value, and not a local time. Each time it is invoked, this method performs the necessary modifications on the to derive the local time, whether the current holds the UTC time or not.

  The local time zone information is obtained from the operating system.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String

  Converts the date denoted by the current instance to its equivalent long date representation.

  A containing the same value as a returned by ("D", ).

  The value of the current instance is formatted using the long date format specifier, 'D'.

  This format uses the culture of the current thread. To specify formatting using a different culture, use .

  For more information regarding the long date specifier, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String

  Converts the time denoted by the current instance to its equivalent long time representation.

  A containing the same value as a returned by ("T", ).

  The value of the current instance is formatted using the long time format specifier, 'T'.

  This format uses the culture of the current thread. To specify formatting using a different culture, use .

  For more information regarding the long time specifier, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Double To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String

  Converts the date denoted by the current instance to its equivalent short date representation.

  A containing the same value as a returned by ("d", ).

  The value of the current instance is formatted using the short date format specifier, 'd'.

  This format uses the culture of the current thread. To specify formatting using a different culture, use .

  For more information regarding the short date specifier, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String

  Converts the time denoted by this instance to its equivalent short time representation.

  A containing the same value as a returned by ("t", ).

  The value of the current instance is formatted using the short time format specifier, 't'.

  This format uses the culture of the current thread. To specify formatting using a different culture, use .

  For more information regarding the short time specifier, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted using the general format specifier, ("G"). The string takes into account the current system culture.

  This version of is equivalent to ("G", ).

  For more information about the general format specifier ("G") see .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` A that supplies a containing culture-specific formatting information.

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted using the general format specifier, ("G"). The string takes into account the formatting information in the instance supplied by .

  This version of is equivalent to ("", ).

  If is or the cannot be obtained from , the formatting information for the current system culture is used.

  The general format specifier ("G") provides the general date pattern including the long time form, equivalent to combined with . For more information on format specifiers, see . For information on formatting system-supplied data types, see the interface.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` A that specifies the format of the returned string. For a list of valid values, see .

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted as specified by . The string takes into account the current system culture.

  This version of is equivalent to ( , ).

  If is a null reference, the general format specifier "G" is used.

  This method uses the culture information of the current thread.

  For information on formatting system-supplied data types, see the interface.

  The length of the string is 1, and it is not one of the format specifier characters defined for .

  -or-

  The string does not contain a valid custom format pattern.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` A containing a character that specifies the format of the returned string. For a list of valid values, see . A that supplies a instance containing culture-specific formatting information.

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted as specified by . The string takes into account the information in the supplied by .

  If is or a cannot be obtained from , the formatting information for the current system culture is used.

  If is a null reference, the general format specifier "G" is used.

  For more information regarding the standard format specifier, see . For information on formatting system-supplied data types, see the interface.

  This method is implemented to support the interface.

  The length of the string is 1, and it is not one of the format specifier characters defined for .

  -or-

  The string does not contain a valid custom format pattern.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.DateTime

  Converts the current value to coordinated universal time (UTC).

  The UTC equivalent of the current value. If the result is too large or too small to be represented as a , the current function returns a set to or .

  This method assumes that the current instance of holds the local time value, and not a UTC time. Therefore each time it is run, this method performs the necessary modifications on the to derive the UTC time, whether the current holds the local time or not.

  The local time zone information is obtained from the operating system.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.DateTime

  Gets the current time converted to coordinated universal time (UTC).

  A instance set to the current date and time in coordinated universal time (UTC).

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the year component of the date represented by the current instance.

  A between 1 and 9999 set to the year component of the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0